<?php
/**
 * @copyright	Copyright (C) 2013 - 2017 Cms2Cms. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class CmsPluginView
{
    public function getAppUrl()
    {
        $dataprovider = new CmsPluginData;
        $config = json_decode(file_get_contents($dataprovider->getAdminUrl() . '/config.txt'),true);
        return $config['host'];
    }

    public function getVideoLink()
    {
        return 'https://www.youtube.com/watch?feature=player_detailpage&v=DQK01NbrCdw#t=25s';
    }

    public function getPluginSourceName()
    {
        return 'WordPress';
    }

    public function getPluginSourceType()
    {
        return 'WordPress';
    }

    public function getPluginTargetName()
    {
        return 'Joomla';
    }

    public function getPluginTargetType()
    {
        return 'Joomla';
    }

    public function getPluginNameLong()
    {
        return sprintf(
            'CMS2CMS: Automated %s to %s 3 Migration ',
            $this->getPluginSourceName(),
            $this->getPluginTargetName()
        );
    }

    public function getPluginNameShort()
    {
        return sprintf('wordpresstoj3', $this->getPluginSourceName(), $this->getPluginTargetName());
    }

    public function getPluginReferrerId()
    {
        return sprintf(
            'Plugin | %s | %s to %s',
            $this->getPluginTargetType(),
            $this->getPluginSourceType(),
            $this->getPluginTargetType()
        );
    }

    public function getRegisterUrl()
    {
        return $this->getAppUrl() . '/auth/sign-up';
    }

    public function getLoginUrl()
    {
        return $this->getAppUrl() . '/auth/sign-in';
    }

    public function getLogOutUrl()
    {
        return $this->getAppUrl() . '/auth/logout';
    }

    public function getForgotPasswordUrl()
    {
        return $this->getAppUrl() . '/auth#forgot-password';
    }

    public function getVerifyUrl()
    {
        return $this->getAppUrl() . '/wizard/verify';
    }

    public function getWizardUrl()
    {
        return $this->getAppUrl() . '/wizard';
    }

    public function getDownLoadBridgeUrl($cms2cms_authentication)
    {
        return $this->getAppUrl() . '/wizard/get-bridge?callback=plugin&authentication=' . urlencode(json_encode($cms2cms_authentication));
    }

}
